<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/itembase/expansionspraycanbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d21/expansionspraycanbase_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionspraycanbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d21/expansionspraycanbase_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSpraycanBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionSpraycanBase</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d87/class_expansion_spraycan_base.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d87/class_expansion_spraycan_base.html">ExpansionSpraycanBase</a>: <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// ExpansionSpraycanBase DescriptionOverride</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/d87/class_expansion_spraycan_base.html#affe442f6814b8441d4ed4ca2e2fa9e77">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d87/class_expansion_spraycan_base.html#affe442f6814b8441d4ed4ca2e2fa9e77">DescriptionOverride</a>(out <span class="keywordtype">string</span> output)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        output = ConfigGetString(<span class="stringliteral">&quot;descriptionShort&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (output.IndexOf(<span class="stringliteral">&quot;STR_EXPANSION_SPRAYCAN_&quot;</span>) == 0)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            output = <span class="stringliteral">&quot;#STR_EXPANSION_SPRAYCAN_BASE_DESC&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ExpansionSpraycanBase SetActions</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/d87/class_expansion_spraycan_base.html#a0b76402ae199ce1b6c48c23894df2cc3">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d87/class_expansion_spraycan_base.html#a0b76402ae199ce1b6c48c23894df2cc3">SetActions</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        super.SetActions();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="comment">// ExpansionSpraycanBase CanExplodeInFire</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../de/d87/class_expansion_spraycan_base.html#a1cb69bda55a818fd6d7ccff873cb99dc">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d87/class_expansion_spraycan_base.html#a1cb69bda55a818fd6d7ccff873cb99dc">CanExplodeInFire</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// ExpansionSpraycanBase CanExplodeInFire</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../de/d87/class_expansion_spraycan_base.html#a0c6dbf1cc1972c08bb1c75038ece312c">   48</a></span>    <a class="code hl_class" href="../../db/d21/class_expansion_skin_module.html">ExpansionSkinModule</a> <a class="code hl_function" href="../../de/d87/class_expansion_spraycan_base.html#a0c6dbf1cc1972c08bb1c75038ece312c">GetSkinModule</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d21/class_expansion_skin_module.html">ExpansionSkinModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../db/d21/class_expansion_skin_module.html">ExpansionSkinModule</a>));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="ttc" id="aclass_expansion_skin_module_html"><div class="ttname"><a href="../../db/d21/class_expansion_skin_module.html">ExpansionSkinModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df9/expansionskinmodule_8c_source.html#l00014">expansionskinmodule.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_spraycan_base_html"><div class="ttname"><a href="../../de/d87/class_expansion_spraycan_base.html">ExpansionSpraycanBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d21/expansionspraycanbase_8c_source.html#l00016">expansionspraycanbase.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_spraycan_base_html_a0b76402ae199ce1b6c48c23894df2cc3"><div class="ttname"><a href="../../de/d87/class_expansion_spraycan_base.html#a0b76402ae199ce1b6c48c23894df2cc3">ExpansionSpraycanBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d21/expansionspraycanbase_8c_source.html#l00032">expansionspraycanbase.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_spraycan_base_html_a0c6dbf1cc1972c08bb1c75038ece312c"><div class="ttname"><a href="../../de/d87/class_expansion_spraycan_base.html#a0c6dbf1cc1972c08bb1c75038ece312c">ExpansionSpraycanBase::GetSkinModule</a></div><div class="ttdeci">ExpansionSkinModule GetSkinModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d21/expansionspraycanbase_8c_source.html#l00048">expansionspraycanbase.c:48</a></div></div>
<div class="ttc" id="aclass_expansion_spraycan_base_html_a1cb69bda55a818fd6d7ccff873cb99dc"><div class="ttname"><a href="../../de/d87/class_expansion_spraycan_base.html#a1cb69bda55a818fd6d7ccff873cb99dc">ExpansionSpraycanBase::CanExplodeInFire</a></div><div class="ttdeci">override bool CanExplodeInFire()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d21/expansionspraycanbase_8c_source.html#l00040">expansionspraycanbase.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_spraycan_base_html_affe442f6814b8441d4ed4ca2e2fa9e77"><div class="ttname"><a href="../../de/d87/class_expansion_spraycan_base.html#affe442f6814b8441d4ed4ca2e2fa9e77">ExpansionSpraycanBase::DescriptionOverride</a></div><div class="ttdeci">override bool DescriptionOverride(out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d21/expansionspraycanbase_8c_source.html#l00021">expansionspraycanbase.c:21</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d35/itembase_8c_source.html#l00013">itembase.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_c89fa05eafe33a2527f152f3d91dcdf4.html">itembase</a></li><li class="navelem"><a class="el" href="../../d4/d21/expansionspraycanbase_8c.html">expansionspraycanbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
